com.holonplatform.jaxrs.client.reactor.internal

## Class JaxrsReactiveResponseEntity<T>

- java.lang.Object
- - com.holonplatform.jaxrs.client.internal.JaxrsResponseEntity<T>
  - - com.holonplatform.jaxrs.client.reactor.internal.JaxrsReactiveResponseEntity<T>

- Type Parameters:
    `T` - Response entity type
  All Implemented Interfaces:
    com.holonplatform.core.messaging.Message<T,List<String>>, com.holonplatform.core.messaging.MessageHeaders<List<String>>, com.holonplatform.http.HttpHeaders, com.holonplatform.http.HttpMessage<T>, com.holonplatform.http.HttpResponse<T>, com.holonplatform.http.rest.ResponseEntity<T>, com.holonplatform.reactor.http.ReactiveResponseEntity<T>

      public class JaxrsReactiveResponseEntity<T>
      extends JaxrsResponseEntity<T>
      implements com.holonplatform.reactor.http.ReactiveResponseEntity<T>

  JAX-RS `ReactiveResponseEntity` implementation.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.http.HttpResponse

      `com.holonplatform.http.HttpResponse.Builder<T>`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.http.HttpHeaders

      `ACCEPT, ACCEPT_CHARSET, ACCEPT_ENCODING, ACCEPT_LANGUAGE, ACCEPT_RANGES, AGE, ALLOW, AUTHORIZATION, CACHE_CONTROL, CONNECTION, CONTENT_DISPOSITION, CONTENT_ENCODING, CONTENT_LANGUAGE, CONTENT_LENGTH, CONTENT_LOCATION, CONTENT_RANGE, CONTENT_TYPE, COOKIE, DATE, ETAG, EXPECT, EXPIRES, FROM, HOST, IF_MATCH, IF_MODIFIED_SINCE, IF_NONE_MATCH, IF_RANGE, IF_UNMODIFIED_SINCE, LAST_MODIFIED, LINK, LOCATION, MAX_FORWARDS, ORIGIN, PRAGMA, PROXY_AUTHENTICATE, PROXY_AUTHORIZATION, RANGE, REFERER, RETRY_AFTER, SCHEME_BASIC, SCHEME_BEARER, SCHEME_DIGEST, SERVER, SET_COOKIE, TRAILER, TRANSFER_ENCODING, UPGRADE, USER_AGENT, VARY, VIA, WARNING, WWW_AUTHENTICATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaxrsReactiveResponseEntity(javax.ws.rs.core.Response response, com.holonplatform.http.rest.ResponseType<T> type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<E> reactor.core.publisher.Flux<E>` | `asFlux(Class<E> entityType)`
    `reactor.core.publisher.Mono<InputStream>` | `asInputStream()`
    `reactor.core.publisher.Mono<T>` | `asMono()`
    `<E> reactor.core.publisher.Mono<E>` | `asMono(Class<E> entityType)`
    `<E> reactor.core.publisher.Mono<E>` | `asMono(com.holonplatform.http.rest.ResponseType<E> entityType)`

    - ### Methods inherited from class com.holonplatform.jaxrs.client.internal.JaxrsResponseEntity

      `as, as, close, getHeaders, getPayload, getPayloadType, getStatusCode`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.http.rest.ResponseEntity

      `as, as, close`

    - ### Methods inherited from interface com.holonplatform.http.HttpResponse

      `builder, builder, getStatus, getStatusCode`

    - ### Methods inherited from interface com.holonplatform.http.HttpMessage

      `getProtocol`

    - ### Methods inherited from interface com.holonplatform.core.messaging.Message

      `getPayload, getPayloadType`

    - ### Methods inherited from interface com.holonplatform.http.HttpHeaders

      `getAuthorizationBasicCredentials, getAuthorizationBearer, getContentLength, getDate, getHeaderValue, getLocale, getLocales, getLocation`

    - ### Methods inherited from interface com.holonplatform.core.messaging.MessageHeaders

      `getHeader, getHeaders`

- - ### Constructor Detail

    - #### JaxrsReactiveResponseEntity

          public JaxrsReactiveResponseEntity(javax.ws.rs.core.Response response,
                                             com.holonplatform.http.rest.ResponseType<T> type)

  - ### Method Detail

    - #### asMono

          public reactor.core.publisher.Mono<T> asMono()

      Specified by:
        `asMono` in interface `com.holonplatform.reactor.http.ReactiveResponseEntity<T>`

    - #### asMono

          public <E> reactor.core.publisher.Mono<E> asMono(Class<E> entityType)

      Specified by:
        `asMono` in interface `com.holonplatform.reactor.http.ReactiveResponseEntity<T>`

    - #### asMono

          public <E> reactor.core.publisher.Mono<E> asMono(com.holonplatform.http.rest.ResponseType<E> entityType)

      Specified by:
        `asMono` in interface `com.holonplatform.reactor.http.ReactiveResponseEntity<T>`

    - #### asFlux

          public <E> reactor.core.publisher.Flux<E> asFlux(Class<E> entityType)

      Specified by:
        `asFlux` in interface `com.holonplatform.reactor.http.ReactiveResponseEntity<T>`

    - #### asInputStream

          public reactor.core.publisher.Mono<InputStream> asInputStream()

      Specified by:
        `asInputStream` in interface `com.holonplatform.reactor.http.ReactiveResponseEntity<T>`

Copyright © 2019 The Holon Platform. All rights reserved.